<!doctype html>
<html>
<head>
    <title>View All Donations</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #f7f7f7;
            color: #333;
        }
        .container {
            max-width: 800px;
            margin-top: 20px;
            padding: 20px;
            background-color: #f8f8f8;
            border-radius: 8px;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
        }
        table {
            width: 100%;
            margin-top: 20px;
        }
        th, td {
            padding: 8px 12px;
            text-align: left;
        }
        th {
            background-color: #ff8c94;
            color: white;
        }
    </style>
</head>
<body>
    <div class="container">
        <h2 class="text-center mb-4">All Donation Records</h2>

        <?php
        // Database connection
        $servername = "localhost";
        $username = "patel247";
        $password = "Ak9039523600!";
        $dbname = "patel247_assign9donation";

        //Connection
        $conn = new mysqli($servername, $username, $password, $dbname);

        // Check connection
        if ($conn->connect_error) {
            die("Connection failed: " . $conn->connect_error);
        }

        // SQL query to select all donations
        $sql = "SELECT * FROM donation";
        $result = $conn->query($sql);

        if ($result->num_rows > 0) {
            echo "<table class='table table-bordered'>";
            echo "<thead><tr><th>First Name</th><th>Last Name</th><th>Email</th><th>Donation Type</th><th>Value (USD)</th><th>Date</th><th>Comments</th></tr></thead>";
            echo "<tbody>";
            // Output data of each row
            while($row = $result->fetch_assoc()) {
                echo "<tr>
                    <td>{$row['fname']}</td>
                    <td>{$row['lname']}</td>
                    <td>{$row['email']}</td>
                    <td>{$row['donation_type']}</td>
                    <td>{$row['value']}</td>
                    <td>{$row['date']}</td>
                    <td>{$row['comments']}</td>
                </tr>";
            }
            echo "</tbody></table>";
        } else {
            echo "<p class='text-center'>No donations found.</p>";
        }

        // Close connection
        $conn->close();
        ?>

    </div>
</body>
</html>
